<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>FTP Client: CFactory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">FTP Client
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classCFactory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CFactory Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class is just auxiliary.  
 <a href="classCFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="factory_8h_source.html">factory.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for CFactory:</div>
<div class="dyncontent">
<div class="center"><img src="classCFactory__coll__graph.png" border="0" usemap="#CFactory_coll__map" alt="Collaboration graph"/></div>
<map name="CFactory_coll__map" id="CFactory_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab352ca506186a6ed45be72a5c76a2a0f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCFactory.html#ab352ca506186a6ed45be72a5c76a2a0f">CFactory</a> (void)=delete</td></tr>
<tr class="memdesc:ab352ca506186a6ed45be72a5c76a2a0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Static class, instance of this class cannot be create.  <a href="#ab352ca506186a6ed45be72a5c76a2a0f">More...</a><br/></td></tr>
<tr class="separator:ab352ca506186a6ed45be72a5c76a2a0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a274654e381f04189b5ff61a8317d3270"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classCClient.html">CClient</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCFactory.html#a274654e381f04189b5ff61a8317d3270">createClient</a> (const string address)</td></tr>
<tr class="memdesc:a274654e381f04189b5ff61a8317d3270"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method creates a connection to the FTP server and creates socket.  <a href="#a274654e381f04189b5ff61a8317d3270">More...</a><br/></td></tr>
<tr class="separator:a274654e381f04189b5ff61a8317d3270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b669c007fcbde58a979dc531edfbdc"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCFactory.html#a93b669c007fcbde58a979dc531edfbdc">deleteClient</a> (<a class="el" href="classCClient.html">CClient</a> *&amp;client)</td></tr>
<tr class="memdesc:a93b669c007fcbde58a979dc531edfbdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method will properly delete instance of client and set a pointer to the NULL.  <a href="#a93b669c007fcbde58a979dc531edfbdc">More...</a><br/></td></tr>
<tr class="separator:a93b669c007fcbde58a979dc531edfbdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is just auxiliary. </p>
<p>It creates clients and their connection to the FTP server. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab352ca506186a6ed45be72a5c76a2a0f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CFactory::CFactory </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Static class, instance of this class cannot be create. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a274654e381f04189b5ff61a8317d3270"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCClient.html">CClient</a> * CFactory::createClient </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Method creates a connection to the FTP server and creates socket. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">address</td><td>Address of FTP server.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>In case of success, method returns instance of client, otherwise returns NULL. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCFactory_a274654e381f04189b5ff61a8317d3270_icgraph.png" border="0" usemap="#classCFactory_a274654e381f04189b5ff61a8317d3270_icgraph" alt=""/></div>
<map name="classCFactory_a274654e381f04189b5ff61a8317d3270_icgraph" id="classCFactory_a274654e381f04189b5ff61a8317d3270_icgraph">
<area shape="rect" id="node2" href="classCProgram.html#a77ef0a9042cd906a145066157ea39752" title="CProgram::CProgram" alt="" coords="209,5,357,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a93b669c007fcbde58a979dc531edfbdc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CFactory::deleteClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCClient.html">CClient</a> *&amp;&#160;</td>
          <td class="paramname"><em>client</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Method will properly delete instance of client and set a pointer to the NULL. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">client</td><td>- Instance for deleting. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCFactory_a93b669c007fcbde58a979dc531edfbdc_icgraph.png" border="0" usemap="#classCFactory_a93b669c007fcbde58a979dc531edfbdc_icgraph" alt=""/></div>
<map name="classCFactory_a93b669c007fcbde58a979dc531edfbdc_icgraph" id="classCFactory_a93b669c007fcbde58a979dc531edfbdc_icgraph">
<area shape="rect" id="node2" href="classCProgram.html#a9f87985764fec0db060eab39e1776c51" title="CProgram::work" alt="" coords="208,5,325,32"/></map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/pom/<a class="el" href="factory_8h_source.html">factory.h</a></li>
<li>src/pom/<a class="el" href="factory_8cpp.html">factory.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 3 2016 12:40:01 for FTP Client by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
